Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Aug 2022 13:53:23 +0200

I don't have anything substantive here, but I've also seen some oddities
that may be related to something in this area, but I have no case for
reproduction.

1) In an HTML buffer with huge <img src="base64:data...."> JPEGs hidden
under display properties (we're talking multi-megabyte lines -- but
hidden), I've seen some odd point movements around these images -- like
the cursor gets stuck at the edges of that line.  But only sometimes.

2) My *Messages* buffer frequently ends up being narrowed, and that
didn't happen before.  Is that something that can happen somehow?  Or is
that totally unrelated?  (My *Messages* buffer is 20K lines long and
sometimes has lines that are tens of K long.)

Like I said, I can't reproduce either thing, which is why I haven't
reported it, but I thought I'd mention it in case it's somehow related
to this feature.